WoltLab Suite 5.2 is here. What's next?

Long in development and long awaited, version 5.2 of WoltLab Suite was released at the end of December. Also this version brings a lot of new and often desired functions so that an update is worthwhile. For example the likesystem was replaced by a more flexible reaction system. In the forum you can now insert forms which can be filled out when creating a topic. The article creation is now also possible outside the ACP. The gallery has got a new display option. Reviews can be created in the filebase. Blogs and blog articles can be provided with cover images. And much more. A detailed overview can be found at WoltLab: New features and improvements in WoltLab Suite 5.2


Our current products are all adapted to WoltLab Suite 5.2 and can be downloaded in the customer accountor via the update servers.

Updates form WoltLab Suite 3.1

If you are already using WoltLab Suite, it is best to add our update servers (commercial and free products) Vortex and Tornado in ACP and run all available updates. In most cases this is enough to update to WoltLab Suite 5.2. Before the actual update to WoltLab Suite 5.2 you can add our Hurricane update servers.


  1. Adding https://www.cls-design.com/shop/index.php?update/3-tornado/. The access data can be found here at the bottom of this page.
  2. Adding of https://www.cls-design.com/update/tornado/stable/. The access data correspond to the forum account.
  3. Perform all updates
  4. Update to WoltLab Suite 5.2: Update procedure Incompatible packages may have to be removed before.
  5. Adding https://www.cls-design.com/shop/index.php?update/4-hurricane/
  6. Adding https://www.cls-design.com/update/hurricane/stable/
  7. Perform pending updates.

Updates from WoltLab Burning Board 4

Our plugins and styles usually require a paid update for the update from WoltLab Burning Board 4 to WoltLab Suite. Licenses can be extended by an update access in the customer account.


If everything is done with the licenses you should add the update-server Typhoon for our commercial products. Afterwards you can do all pending updates. Now you have to uninstall all styles and style plugins which are not compatible with WoltLab Suite and have to be reinstalled after updating to WoltLab Suite. In detail these are the following plugins which have to be uninstalled:


  • Styleplugins
  • Language pack: com.cls-design.style.languagePack
  • CookieLib: com.cls-design.wcf.cookieLib


It is important to uninstall the cookielib, if it remains in the installation it will disable javascript functions in WoltLab Suite. If you forgot to uninstall the CookieLib, you can also uninstall it later in ACP.


Before updating to WoltLab Suite you should have a look at templategroups and delete them all. The same applies to the stylegraphics. You can find them via FTP in the directory images. The uninstall routine of the styles does not always remove all parts, so better check again if there are leftovers somewhere.


For the actual update to WoltLab Suite 3.0 WoltLab has a manual: Update Procedure


After the update to WoltLab Suite 3.0 the updates to 3.1 (manual) and 5.2 (manual) have to be done. A direct update to 5.2 is not possible.


If the installation has been successfully updated to WoltLab Suite 5.2 our apps and styles can be installed.


If you have any questions about our products please use our support forums.